<template>
  <header>
    <div class="header_main_listing">
      <b-navbar toggleable="xl" type="dark">
        <div class="brand-side">
          <b-navbar-brand :href="this.$parent.server_path">
            <img v-if="this.$parent.campusDBData.branding == 'uni'" :src="this.$parent.logo" :alt="'College Pads Logo'" width="180" height="53" class="main-logo hidden-xs">
            <img v-else :src="this.$parent.path+'images/college-logo.png'" :alt="'College Pads Logo'" width="180" height="53" class="main-logo hidden-xs">
          </b-navbar-brand>

          <b-navbar-toggle target="nav-collapse"></b-navbar-toggle>
          <div class="d-md-none d-flex align-items-center">
            <div class="fav mr-2" @click="favPage()">
              <small class="count favCount">{{this.$parent.favCount}}</small>
              <div class="sprite bg-heart active" v-if="this.$parent.favCount > 0"></div>
              <div class="sprite bg-heart-black" v-else-if="this.$parent.campusDBData.branding == 'uni'"></div>
              <div class="sprite bg-heart" v-else></div>
            </div>
            <div class="filterIcon" @click="$parent.$refs.filterView.openFilter('{}','moreFilter')">
              <h3><i class="fas fa-sliders-h"></i></h3>
            </div>
          </div>
        </div>

        <b-collapse id="nav-collapse" is-nav>
          <b-navbar-nav>
            <div class="search-header d-md-block d-none">
              <div class="sprite bg-magni_glass position-glass"></div>
              <input type="text" name="prop_id" :model="search" :value="search" @keyup="searchProperty" aria-label="Search Property"  placeholder="Search">
            </div>
          </b-navbar-nav>

          <!-- Right aligned nav items -->
          <b-navbar-nav class="ml-auto">
            <b-nav-item v-if="this.$parent.landlord ==1" :href="this.$parent.server_path+'off-campus-housing/'+this.$parent.campusData.campus.name+'/search'" :aria-label="this.$parent.campusData.campus.name + 'campus listing'">Campus Listings</b-nav-item>
            <b-nav-item v-if="this.$parent.landlord ==0" :href="this.$parent.server_path+'off-campus-housing/'+this.$parent.campusData.campus.name+'/search'" :aria-label="this.$parent.campusData.campus.name + 'listing'">Listings</b-nav-item>
            <b-nav-item v-if="this.$parent.landlord ==0" href="roommates" aria-label="roommates">Roommates</b-nav-item>
            <b-nav-item v-if="this.$parent.landlord ==0" href="subleases" aria-label="Sublease">Subleases</b-nav-item>
            <b-nav-item v-if="this.$parent.landlord ==1" :href="'https://www.rentcollegepads.com/reviews'" aria-label="reviews">Reviews</b-nav-item>
            <b-nav-item v-if="this.$parent.landlord ==0" href="javascript:void(0);" @click="$bvModal.show('guidePopup');" aria-label="guide">Guide</b-nav-item>
            <b-nav-item :href="this.$parent.server_path+'favorites'" class="RC_fav_top d-md-block d-none">
              <div class="fav">
                <small class="count favCount active" v-if="this.$parent.favCount > 0">{{this.$parent.favCount}}</small>
                <small class="count favCount" v-else>{{this.$parent.favCount}}</small>
                <div class="sprite bg-heart active" v-if="this.$parent.favCount > 0"></div>
                <div class="sprite bg-heart-black" v-else-if="this.$parent.campusDBData.branding == 'uni'"></div>
                <div class="sprite bg-heart" v-else></div>

              </div>
            </b-nav-item>
          
            <b-nav-item v-if="this.$parent.username == ''" v-on:click="this.$parent.loginPopup" aria-label="login page">Login</b-nav-item>
            <b-dropdown v-else id="dropdown-1" :text="this.$parent.username" class="mx-0 br-0" variant="transparent nav-link br-0">
              <b-dropdown-item :href="this.$parent.server_path+this.$parent.guard+'/'" aria-label="user account">User Account</b-dropdown-item>
              <b-dropdown-item :href="this.$parent.server_path+this.$parent.guard+'/change-password'" aria-label="change password">Change Password</b-dropdown-item>
              <b-dropdown-item :href="this.$parent.server_path+'logout'" aria-label="logout">Logout</b-dropdown-item>
            </b-dropdown>
            <b-nav-item :href="this.$parent.server_path+'list-us'" aria-label="List With Us">List With Us</b-nav-item>
          </b-navbar-nav>
        </b-collapse>
      </b-navbar>
    </div>
  </header>
</template>


<script>
  module.exports = {
    data: function () {
      return {
      search:''
      }
    },
    methods:{
      favPage(){
        const url = this.$parent.server_path + 'favorites';
        window.open(url, '_black')
      },
      searchProperty(event){
        if(typeof event != 'undefined'){
          if(event.key == 'ArrowDown' || event.key == 'ArrowUp'){
            return false;
          }
          this.search = event.target.value;

          if(this.search.length == 0){
            this.$parent.resetListingData(this.$parent.allListingData);
            this.$parent.$refs.filterView.openFilter('{}','showFilterHeader')
          }else{
            if(this.search.length > 2) {
              const data = this.$parent.allListingData.filter((listingData) => {

                let dataFound = false;

                if (listingData.id == this.search || listingData.address.toLowerCase().indexOf(this.search) !== -1) {
                  dataFound = true;

                } else if (listingData.id == this.search || listingData.address.toLowerCase().includes(this.search.toLowerCase())) {
                  dataFound = true;
                } else if (listingData.id == this.search || listingData.title != '' && listingData.title != null && typeof listingData.title != 'undefined') {
                  dataFound = listingData.title.toLowerCase().includes(this.search.toLowerCase());
                }

                  if (typeof listingData.hidden != 'undefined' && listingData.hidden == '1') {
                      dataFound = false;
                  }

                      return dataFound;

              })
              this.$parent.resetListingData(data);
            }
          }
        }

        //console.log(this.search)
      },

    }


  }
</script>
